Name:           gt
Version:        0.4
Release:        %mkrel 12
Summary:        Modified Timidity which supports enhanced gus format patches
Group:          Sound/Midi
License:        GPLv2+
URL:            https://alsa.opensrc.org/GusSoundfont
# This is ftp://ling.lll.hawaii.edu/pub/greg/gt-0.4.tar.gz
# with the examples/patch and sfz directories removed as the license of the
# samples in these dirs is unclear. Also the src/ac3* files have been removed
# as these contain patented code.
Source0:        %{name}-%{version}-clean.tar.gz
Patch0:         gt-0.4-noac3.patch
Patch1:         gt-0.4-compile-fix.patch
Patch2:         gt-0.4-optflags.patch
Patch3:         gt-0.4-config-default-velocity-layer.patch
Patch4:         gt-0.4-ppc-compile-fix.patch
Patch5:         gt-0.4-unsf-bigendian-fix.patch
Patch6:         gt-0.4-unsf-tremolo.patch
Patch7:         gt-0.4-parallel.patch
Patch8:         gt-0.4-gcc10.patch
BuildRequires:  pkgconfig(alsa) 
BuildRequires:  pkgconfig(vorbis) 
BuildRequires:  flex
Requires:       timidity++-patches

%description
Modified timidity midi player which supports enhanced gus format patches and
surround audio output.


%package -n soundfont-utils
Summary:        Utilities for converting from / to various soundfont formats
Group:          Sound/Editors and Converters

%description -n soundfont-utils
Utilities for converting from / to various soundfont formats and a midi file
disassembler.


%prep
%setup -q
%autopatch -p1
cp -p src/README README.timidity


%build
export CFLAGS="$RPM_OPT_FLAGS -fsigned-char"
autoreconf -fi
%configure
%make_build


%install
%make_install
# rename somewhat genericly named dim to midi-disasm
mv %{buildroot}%{_bindir}/dim %{buildroot}%{_bindir}/midi-disasm
mv %{buildroot}%{_mandir}/man1/dim.1 \
   %{buildroot}%{_mandir}/man1/midi-disasm.1
sed -i 's/dim/midi-disasm/g' %{buildroot}%{_mandir}/man1/midi-disasm.1
touch -r utils/midifile.c %{buildroot}%{_mandir}/man1/midi-disasm.1


%files
%doc AUTHORS COPYING ChangeLog FEATURES NEWS README*
%{_bindir}/gt
%{_mandir}/man1/gt.1*

%files -n soundfont-utils
%doc utils/README* utils/GUSSF2-SPEC
%{_bindir}/*
%exclude %{_bindir}/gt
%{_mandir}/man1/*
%exclude %{_mandir}/man1/gt.1*





%changelog
* Sat Mar 19 2022 umeabot <umeabot> 0.4-12.mga9
+ Revision: 1799492
- Mageia 9 Mass Rebuild

* Sat Mar 07 2020 daviddavid <daviddavid> 0.4-11.mga8
+ Revision: 1554569
- add patch to fix build
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.4-10.mga7
+ Revision: 1298100
- Mageia 7 Mass Rebuild

* Wed Aug 23 2017 ovitters <ovitters> 0.4-9.mga7
+ Revision: 1144520
+ rebuild (emptylog)

* Tue Feb 02 2016 umeabot <umeabot> 0.4-9.mga6
+ Revision: 931705
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4-8.mga5
+ Revision: 748114
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4-7.mga5
+ Revision: 679991
- Mageia 5 Mass Rebuild

* Sat Jan 04 2014 pterjan <pterjan> 0.4-6.mga4
+ Revision: 564629
- Add a BuildRequires on flex
- Fix parallel build
- Use configure2_5x
- Don't patch .in, run autoreconf instead

* Fri Oct 18 2013 umeabot <umeabot> 0.4-5.mga4
+ Revision: 505305
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.4-4.mga3
+ Revision: 352776
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 malo <malo> 0.4-3.mga3
+ Revision: 322889
- update RPM group

* Sat Feb 05 2011 ahmad <ahmad> 0.4-2.mga1
+ Revision: 47282
- imported package gt


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4-2mdv2011.0
+ Revision: 610989
- rebuild

* Thu Jan 28 2010 Emmanuel Andry <eandry@mandriva.org> 0.4-1mdv2010.1
+ Revision: 497773
- import gt


